org.eclnt.jsfserver.elements.componentnodes

## Class HTBROWSERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTBROWSERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTBROWSERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTBROWSERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTBROWSERNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindUrl(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `bindWithfocusevent(IDynamicContentBindingObject value)`
    `HTBROWSERNode` | `setAttributemacro(java.lang.String value)`
    `HTBROWSERNode` | `setComment(java.lang.String value)`
    `HTBROWSERNode` | `setConfiginfo(java.lang.String value)`
    `HTBROWSERNode` | `setHeight(int value)`
    `HTBROWSERNode` | `setHeight(java.lang.String value)`
    `HTBROWSERNode` | `setId(java.lang.String value)`
    `HTBROWSERNode` | `setReference(java.lang.String value)`
    `HTBROWSERNode` | `setRendered(boolean value)`
    `HTBROWSERNode` | `setRendered(java.lang.String value)`
    `HTBROWSERNode` | `setRequestfocus(java.lang.String value)`
    `HTBROWSERNode` | `setRequestfocushotkey(java.lang.String value)`
    `HTBROWSERNode` | `setRowalignmenty(java.lang.String value)`
    `HTBROWSERNode` | `setStylevariant(java.lang.String value)`
    `HTBROWSERNode` | `setUrl(java.lang.String value)`
    `HTBROWSERNode` | `setWidth(int value)`
    `HTBROWSERNode` | `setWidth(java.lang.String value)`
    `HTBROWSERNode` | `setWithfocusevent(boolean value)`
    `HTBROWSERNode` | `setWithfocusevent(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTBROWSERNode

          public HTBROWSERNode()

  - ### Method Detail

    - #### setId

          public HTBROWSERNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTBROWSERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTBROWSERNode setComment(java.lang.String value)

    - #### bindComment

          public HTBROWSERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTBROWSERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTBROWSERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public HTBROWSERNode setHeight(java.lang.String value)

    - #### bindHeight

          public HTBROWSERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HTBROWSERNode setHeight(int value)

    - #### setReference

          public HTBROWSERNode setReference(java.lang.String value)

    - #### setRendered

          public HTBROWSERNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTBROWSERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTBROWSERNode setRendered(boolean value)

    - #### setRequestfocus

          public HTBROWSERNode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public HTBROWSERNode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public HTBROWSERNode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public HTBROWSERNode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setRowalignmenty

          public HTBROWSERNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public HTBROWSERNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTBROWSERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTBROWSERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setUrl

          public HTBROWSERNode setUrl(java.lang.String value)

    - #### bindUrl

          public HTBROWSERNode bindUrl(IDynamicContentBindingObject value)

    - #### setWidth

          public HTBROWSERNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTBROWSERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTBROWSERNode setWidth(int value)

    - #### setWithfocusevent

          public HTBROWSERNode setWithfocusevent(java.lang.String value)

    - #### bindWithfocusevent

          public HTBROWSERNode bindWithfocusevent(IDynamicContentBindingObject value)

    - #### setWithfocusevent

          public HTBROWSERNode setWithfocusevent(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.